package com.ruoyi.oa.mapper;

import java.util.List;
import com.ruoyi.oa.domain.CmcTransfer;

/**
 * cmc员工调岗Mapper接口
 * 
 * @author cmc
 * @date 2025-10-16
 */
public interface CmcTransferMapper 
{
    /**
     * 查询cmc员工调岗
     * 
     * @param transferId cmc员工调岗主键
     * @return cmc员工调岗
     */
    public CmcTransfer selectCmcTransferByTransferId(String transferId);

    /**
     * 查询cmc员工调岗列表
     * 
     * @param cmcTransfer cmc员工调岗
     * @return cmc员工调岗集合
     */
    public List<CmcTransfer> selectCmcTransferList(CmcTransfer cmcTransfer);

    /**
     * 新增cmc员工调岗
     * 
     * @param cmcTransfer cmc员工调岗
     * @return 结果
     */
    public int insertCmcTransfer(CmcTransfer cmcTransfer);

    /**
     * 修改cmc员工调岗
     * 
     * @param cmcTransfer cmc员工调岗
     * @return 结果
     */
    public int updateCmcTransfer(CmcTransfer cmcTransfer);

    /**
     * 删除cmc员工调岗
     * 
     * @param transferId cmc员工调岗主键
     * @return 结果
     */
    public int deleteCmcTransferByTransferId(String transferId);

    /**
     * 批量删除cmc员工调岗
     * 
     * @param transferIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcTransferByTransferIds(String[] transferIds);
}
